none
Bioconductor Install Fail MRO 3.4 RRS feed

  • Question

  • I am getting a failure on installing Bioconductor on latest version of MRO 3.4

    > source("https://bioconductor.org/biocLite.R")
    Bioconductor version 3.4 (BiocInstaller 1.24.0), ?biocLite for help
    > biocLite()
    BioC_mirror: https://bioconductor.org
    Using Bioconductor 3.4 (BiocInstaller 1.24.0), R 3.4.0 (2017-04-21).
    Error in if (file.exists(dest) && file.mtime(dest) > file.mtime(lib) &&  : 
      missing value where TRUE/FALSE needed

    I then thought I would choose the non secure version instead.

    > source("http://bioconductor.org/biocLite.R")
    Bioconductor version 3.4 (BiocInstaller 1.24.0), ?biocLite for help
    Warning message:
    Bioconductor version 3.4 is too old for R version 3.4.0; see https://bioconductor.org/install/#troubleshoot-biocinstaller 

    This kind of appears like there is a check and the check is thinking that 3.4.0 (MRO) is > 3.4 (BC) and then fails. 

    This is a big problem with regards to functionality. I will have to downgrade to use multiple packages.

    I went here: https://www.r-bloggers.com/error-installing-latest-r-version-3-4-0-on-windows/ and it suggests to patch R, but that doesn't help me for MRO.

    > sessionInfo()
    R version 3.4.0 (2017-04-21)
    Platform: x86_64-w64-mingw32/x64 (64-bit)
    Running under: Windows 7 x64 (build 7601) Service Pack 1

    Matrix products: default

    locale:
    [1] LC_COLLATE=English_United States.1252  LC_CTYPE=English_United States.1252    LC_MONETARY=English_United States.1252 LC_NUMERIC=C                          
    [5] LC_TIME=English_United States.1252    

    attached base packages:
    [1] stats     graphics  grDevices utils     datasets  methods   base     

    other attached packages:
    [1] BiocInstaller_1.24.0 RevoUtilsMath_10.0.0

    loaded via a namespace (and not attached):
    [1] compiler_3.4.0   RevoUtils_10.0.4 tools_3.4.0     





    • Edited by Toxgeek Tuesday, June 13, 2017 1:39 PM
    Tuesday, June 13, 2017 1:27 PM

All replies

  • Have a look at this: https://social.msdn.microsoft.com/Forums/en-US/636abb5d-8a15-4719-92c3-f5ff734e937b/patch-required-for-r-34-for-windows?forum=ropen
    Wednesday, June 14, 2017 7:42 PM